Comment 0 for bug 862302

phobie (phobie) wrote :

$ quickly edit
crashes if gedit is not installed.

This problem can be replicated with 11.04-0ubuntu1.1 on natty and 11.10-0ubuntu1 on oneiric.
It is not a duplicate of #483917 because there is no dependency problem.

$ EDITOR=gnome-text-editor quickly edit
works without problems if kate is installed...

quickly edit should chose a alternate editor if gedit is not present,
use /etc/alternatives/gnome-text-editor instead of gedit or
the package needs to depend on gedit directly instead of "gedit | editor".

It might also be a good idea to introduce /etc/alternatives/x-editor or /etc/alternatives/x-text-editor .